// Fragment Shader – file "minimal.frag"

#version 150 core
uniform vec2 near_far;

in vec4 ex_position;

out vec4 out_color;

void main(void)
{
	//set the color depending on z value
	//for debugging purposes
	float color = ex_position.z / near_far.y; //divide by far plane
	out_color = vec4(color, color, color, 1.0);
}
